# JSON Writer

JSONWriter is a function to create JSON formatted strings.

***

### Properties <a href="#properties" id="properties"></a>

#### Data <a href="#data" id="data"></a>

The data to write to a JSON string. Structured objects return well formatted JSON strings. Other values return the string value only.

#### Date format <a href="#date-format" id="date-format"></a>

Sets how dates are formatted in the JSON output.

#### Enum format <a href="#enum-format" id="enum-format"></a>

Format enum values as a string or numeric value.

#### Escape String <a href="#escape-string" id="escape-string"></a>

Sets how strings are escaped in the JSON output.

#### Ignore null properties <a href="#ignore-null-properties" id="ignore-null-properties"></a>

Select to not include null data values in the generated JSON output.

#### Indent <a href="#indent" id="indent"></a>

Select to indent every key-value pair in the JSON output.

#### Property map <a href="#property-map" id="property-map"></a>

If JSON and object property names are different, then create a mapping using the editor.

***

### Links <a href="#links" id="links"></a>

[Wikipedia: JSON](http://en.wikipedia.org/wiki/JSON)

[JSON.org](http://www.json.org/)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/json/content/jsonwriter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
